package org.netkernel.packge.app.endpoint;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

import org.netkernel.layer0.boot.BootUtils;

public class FirstTimeSync extends StandardAccessorImpl
{

	@Override
	protected void postCommission(INKFRequestContext context) throws Exception
	{
		if(!BootUtils.bootedFromJar(context.getKernelContext().getKernel().getConfiguration()) && !context.exists("pds:/apposite/postInstallSync"))
		{	context.logRaw(context.LEVEL_INFO, "Performing post install synchronization with repositories");
			context.source("res:/tools/apposite/admin/repo/updateService");
			context.sink("pds:/apposite/postInstallSync", "installSyncCompleted");
		}
	}

}
