<batch>
	<sql>
		--Save orphaned packages
		UPDATE PACKAGES SET REPOCOLLECTIONSETID=1
		WHERE
		PACKAGES.ID IN (SELECT PACKAGEID FROM PACKAGE_VERSIONS WHERE INSTALLED=TRUE)
		AND
		PACKAGES.REPOCOLLECTIONSETID=${id}
		;
	</sql>
	<sql>
  		DELETE FROM REPO_COLLECTION_SETS WHERE ID=${id}
  		;
  	</sql>
  	<sql>
  		DELETE FROM REPO_COLLECTIONS 
		WHERE ID NOT IN
		(
		SELECT REPOCOLLECTIONID FROM REPO_COLLECTION_SETS
		)
		;
  	</sql>
  	<sql>
  		DELETE FROM REPOS 
		WHERE ID &gt; 1 AND ID NOT IN
		(
		SELECT REPOID FROM REPO_COLLECTIONS
		)
		;
  	</sql>
  	<sql>
  		DELETE FROM PACKAGE_VERSION_DEPENDS
  		WHERE
  		PACKAGEVID
  		IN
  		 (SELECT ID FROM PACKAGE_VERSIONS
	  		 WHERE
	  		PACKAGEID IN
	  		( SELECT ID FROM PACKAGES
	  			WHERE
	  			REPOCOLLECTIONSETID NOT IN
	  			( SELECT ID FROM REPO_COLLECTION_SETS
	  			)
	  		)
	  	)
  		;
  	</sql>
  	<sql>
  		DELETE FROM PACKAGE_VERSIONS
  		WHERE
  		PACKAGEID IN
  		( SELECT ID FROM PACKAGES
  			WHERE
  			REPOCOLLECTIONSETID NOT IN
  			( SELECT ID FROM REPO_COLLECTION_SETS
  			)
  		)
  		;
  	</sql>
  	<sql>
  		DELETE FROM PACKAGES
  		WHERE
  			REPOCOLLECTIONSETID NOT IN
  			( SELECT ID FROM REPO_COLLECTION_SETS
  			)
  		;
  	</sql>
 </batch>