<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml"/>


  <xsl:template match="/resultset/row">
  <div class="template-info-widget oddrow">
  		<table cellspacing="0" style="padding: 3px;">
  		<tr>
  		<td><b>Total Packages:</b></td><td style="padding-right: 5px;"> <xsl:value-of select="PACKAGES"/></td>
  		<td><b>Installed:</b>	</td><td style="padding-right: 5px;"><xsl:value-of select="INSTALLED"/></td>
  		<td><b>Modules Installed:</b></td><td style="padding-right: 5px;"><xsl:value-of select="MODULES"/></td>
  		<td><b>Updates:</b></td><td style="padding-right: 5px;"><xsl:value-of select="UPDATES"/></td>
  		<td><b>Security Updates:</b></td><td style="padding-right: 5px;"><xsl:value-of select="SECURITY"/></td>
  		</tr>
  		
  		<xsl:if test="UPDATES!=0">
  		<tr>
  			<td colspan="10">
  				<div class="update" style="width: 100%; margin: 5px 0 px 0; padding: 5px; border:1px solid #6A6A6A; font-weight: bold;">
  					<xsl:value-of select="UPDATES"/> updates available.
  					<!--
  					<div style="float: right;">
  						<input type="button" value="Install" onclick="parent.location='/tools/apposite/'"/>
  					</div>
  					-->
  				</div>
  			</td>
  		</tr>
  		</xsl:if>

  		<xsl:if test="/resultset/update">
  		<tr>
  			<td colspan="10">
  				<div class="update" style="width: 100%; margin: 5px 0 px 0; padding: 5px; border:1px solid #6A6A6A; font-weight: bold;">
  					New distribution '<xsl:value-of select="/resultset/update/name"/>' is available.
  					<div style="float: right;">
  						<input type="button" value="Download" onclick="parent.location='http://www.1060research.com/netkernel/download/'"/>
  					</div>
  				</div>
  			</td>
  		</tr>
  		</xsl:if>
  		
		</table>  		
  </div>
  </xsl:template>
  

</xsl:stylesheet> 
