SELECT
	*,
	MODULES.VERSION[0] || '.' || MODULES.VERSION[1] || '.' || MODULES.VERSION[2] as VM,
	replace(MODULES.IDENTITY, ':', '.') AS DOTTED
	FROM
	MODULES,
	PACKAGE_VERSIONS
	WHERE
	PACKAGE_VERSIONS.INSTALLED=TRUE
	AND
	PACKAGE_VERSIONS.ID=MODULES.PACKAGEVID
	ORDER BY RUNLEVEL, IDENTITY ASC
;